=== sources/cyclonedds-cxx/share/CycloneDDS-CXX/examples/roundtrip/CMakeLists.txt ===
#
# Copyright(c) 2022 ZettaScale Technology and others
#
# This program and the accompanying materials are made available under the
# terms of the Eclipse Public License v. 2.0 which is available at
# http://www.eclipse.org/legal/epl-2.0, or the Eclipse Distribution License
# v. 1.0 which is available at
# http://www.eclipse.org/org/documents/edl-v10.php.
#
# SPDX-License-Identifier: EPL-2.0 OR BSD-3-Clause
#
cmake_minimum_required(VERSION 3.16)
project(throughput LANGUAGES C CXX)

set(CMAKE_CXX_STANDARD 17)

if(NOT TARGET CycloneDDS-CXX::ddscxx)
  find_package(CycloneDDS-CXX REQUIRED)
endif()

# This is a convenience function, provided by the CycloneDDS package,
# that will supply a library target related the the given idl file.
# In short, it takes the idl file, generates the source files with
# the proper data types and compiles them into a library.
idlcxx_generate(TARGET RoundTrip_lib_cxx FILES RoundTrip.idl WARNINGS no-implicit-extensibility)

# Both executables have only one related source file.
add_executable(cxxRoundtripPing ping.cpp)
add_executable(cxxRoundtripPong pong.cpp)

# Both executables need to be linked to the idl data type library and
# the ddsc API library.
target_link_libraries(cxxRoundtripPing RoundTrip_lib_cxx CycloneDDS-CXX::ddscxx)
target_link_libraries(cxxRoundtripPong RoundTrip_lib_cxx CycloneDDS-CXX::ddscxx)
