=== debian/changelog ===
ai-toy (0.0.3) noble-customization; urgency=medium

  [ bianbu-ci ]
  * Sync change from bianbu/0.0.3.
    Fix: Modify the dynamic library suffix to bypass the build process

 -- muggle <muggle@spacemit.com>  Thu, 30 Oct 2025 16:12:30 +0800

ai-toy (0.0.2) noble-customization; urgency=medium

  [ bianbu-ci ]
  * Sync change from bianbu/0.0.2.
    Add: Update dependencies

 -- muggle <muggle@spacemit.com>  Thu, 30 Oct 2025 14:35:35 +0800

ai-toy (0.0.1) noble-customization; urgency=medium

  * Initial for bianbu-24.04

 -- root <root@host1>  Wed, 29 Oct 2025 13:46:05 +0800
