=== debian/control ===
Source: ai-toy
Section: unknown
Priority: optional
Maintainer: muggle <muggle@spacemit.com>
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.6.1
Homepage: <insert the upstream URL, if relevant>
Rules-Requires-Root: no
#Vcs-Git: https://salsa.debian.org/debian/ai-toy.git
#Vcs-Browser: https://salsa.debian.org/debian/ai-toy

Package: ai-toy
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}, curl, qtbase5-gles-dev, libqt5quick5-gles, qml-module-qtquick-window2, qtmultimedia5-dev, qtdeclarative5-dev, qml-module-qtgraphicaleffects, qml-module-qtmultimedia
Description: auto-generated package by debmake
 This Debian binary package was auto-generated by the
 debmake(1) command provided by the debmake package.
